[arch-commits] Commit in libvisual-projectm/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Sun Dec 20 13:40:05 EST 2009


    Date: Sunday, December 20, 2009 @ 13:40:04
  Author: giovanni
Revision: 61637

Merged revisions 61634 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/libvisual-projectm/trunk

........
  r61634 | andrea | 2009-12-20 10:27:47 -0800 (dom, 20 dic 2009) | 2 lines
  
  upgpkg: libvisual-projectm 2.0.1-1
      upstream release
........

Modified:
  libvisual-projectm/repos/extra-x86_64/	(properties)
  libvisual-projectm/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)


Property changes on: libvisual-projectm/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libvisual-projectm/trunk:1-27233
   + /libvisual-projectm/trunk:1-61636

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-12-20 18:37:00 UTC (rev 61636)
+++ extra-x86_64/PKGBUILD	2009-12-20 18:40:04 UTC (rev 61637)
@@ -1,24 +1,26 @@
 # $Id$
-# Maintainer: Alexander Baldeck <alexander at archlinux.org>
+# Contributor: Alexander Baldeck <alexander at archlinux.org>
 
 pkgname=libvisual-projectm
-pkgver=1.2.0
+pkgver=2.0.1
 pkgrel=1
 pkgdesc="ProjectM XMMS plugin"
 arch=('i686' 'x86_64')
 url="http://projectm.sourceforge.net/"
 license=('GPL')
-depends=('gcc-libs' 'projectm>=1.2.0' 'libvisual>=0.4.0' 'sdl')
-makedepends=('pkgconfig' 'cmake')
+depends=('projectm>=2.0.1' 'libvisual' 'sdl')
+makedepends=('pkgconfig' 'cmake' 'libxext')
 options=('!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/projectm/projectM-libvisual-$pkgver.tar.bz2)
-md5sums=('41a90c5b8931a2cfcdd406eca89e83f9')
+source=(http://downloads.sourceforge.net/projectm/projectM_libvisual-${pkgver}-Source.tar.gz)
+md5sums=('35e09b09210d48b437e3574bd00b15a8')
 
 build() {
-  cd $srcdir/projectM-libvisual-$pkgver
+  cd ${srcdir}
   mkdir build
   cd build
-  cmake -D CMAKE_INSTALL_PREFIX=/usr -D CMAKE_BUILD_TYPE=Release .. || return 1
+  cmake ../projectM_libvisual-${pkgver}-Source \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release || return 1
   make || return
-  make DESTDIR=$pkgdir install || return
+  make DESTDIR=${pkgdir} install || return
 }



More information about the arch-commits mailing list